<?xml version = "1.0" encoding = "utf-8" ?>
<problem
	version = "1.0"
	id = "qual.2025.main.collatz-with-random-increase"
>
	<judging>
		<script type = "%icpc">
			<testset
				input-name = "collatz-with-random-increase.in"
				output-name = "collatz-with-random-increase.out"
				input-href = "tests/##"
				answer-href = "tests/##.a"
				time-limit = "3.0s"
				memory-limit = "1073741824"
				test-count = "31"
			>
			</testset>
			<verifier type = "%testlib">
				<binary executable-id = "x86.exe.win32" file = "check.exe" />
			</verifier>
			<interactor type = "%testlib">
				<binary executable-id = "x86.exe.win32" file = "files/collatz-with-random-increase_interact_mi.exe" />
			</interactor>
		</script>
		<script type = "%ioi">
			<testset
				name = "preliminary"
				input-name = "collatz-with-random-increase.in"
				output-name = "collatz-with-random-increase.out"
				input-href = "tests/##"
				answer-href = "tests/##.a"
				time-limit = "3.0s"
				memory-limit = "1073741824"
			>
				<test comment = "manual cmd: ''" />
			</testset>
			<testset
				name = "main"
				feedback = "outcome"
				input-name = "collatz-with-random-increase.in"
				output-name = "collatz-with-random-increase.out"
				input-href = "tests/##"
				answer-href = "tests/##.a"
				time-limit = "3.0s"
				memory-limit = "1073741824"
			>
				<test points = "0" comment = "manual cmd: ''" />
				<test points = "0" comment = "generated cmd: 'collatz-with-random-increase_generate_mi -t=1 -min_n=2 -max_n=10000000'" />
				<test points = "0" comment = "generated cmd: 'collatz-with-random-increase_generate_mi -t=2 -min_n=2 -max_n=10000000'" />
				<test points = "0" comment = "generated cmd: 'collatz-with-random-increase_generate_mi -t=3 -min_n=2 -max_n=10000000'" />
				<test points = "0" comment = "generated cmd: 'collatz-with-random-increase_generate_mi -t=5 -min_n=2 -max_n=10000000'" />
				<test points = "0" comment = "generated cmd: 'collatz-with-random-increase_generate_mi -t=7 -min_n=2 -max_n=10000000'" />
				<test points = "0" comment = "generated cmd: 'collatz-with-random-increase_generate_mi -t=10 -min_n=2 -max_n=10000000'" />
				<test points = "0" comment = "generated cmd: 'collatz-with-random-increase_generate_mi -t=14 -min_n=2 -max_n=10000000'" />
				<test points = "0" comment = "generated cmd: 'collatz-with-random-increase_generate_mi -t=20 -min_n=2 -max_n=10000000'" />
				<test points = "0" comment = "generated cmd: 'collatz-with-random-increase_generate_mi -t=28 -min_n=2 -max_n=10000000'" />
				<test points = "0" comment = "generated cmd: 'collatz-with-random-increase_generate_mi -t=40 -min_n=2 -max_n=10000000'" />
				<test points = "0" comment = "generated cmd: 'collatz-with-random-increase_generate_mi -t=50 -min_n=2 -max_n=10000000 -test_index=1'" />
				<test points = "0" comment = "generated cmd: 'collatz-with-random-increase_generate_mi -t=50 -min_n=2 -max_n=10000000 -test_index=2'" />
				<test points = "0" comment = "generated cmd: 'collatz-with-random-increase_generate_mi -t=50 -min_n=2 -max_n=10000000 -test_index=3'" />
				<test points = "0" comment = "generated cmd: 'collatz-with-random-increase_generate_mi -t=50 -min_n=2 -max_n=10000000 -test_index=4'" />
				<test points = "0" comment = "generated cmd: 'collatz-with-random-increase_generate_mi -t=50 -min_n=2 -max_n=10000000 -test_index=5'" />
				<test points = "0" comment = "generated cmd: 'collatz-with-random-increase_generate_mi -t=50 -min_n=2 -max_n=10000000 -test_index=6'" />
				<test points = "0" comment = "generated cmd: 'collatz-with-random-increase_generate_mi -t=50 -min_n=2 -max_n=10000000 -test_index=7'" />
				<test points = "0" comment = "generated cmd: 'collatz-with-random-increase_generate_mi -t=50 -min_n=2 -max_n=10000000 -test_index=8'" />
				<test points = "0" comment = "generated cmd: 'collatz-with-random-increase_generate_mi -t=50 -min_n=2 -max_n=10000000 -test_index=9'" />
				<test points = "0" comment = "generated cmd: 'collatz-with-random-increase_generate_mi -t=50 -min_n=2 -max_n=10000000 -test_index=10'" />
				<test points = "0" comment = "generated cmd: 'collatz-with-random-increase_generate_mi -t=50 -min_n=2 -max_n=10000000 -test_index=11'" />
				<test points = "0" comment = "generated cmd: 'collatz-with-random-increase_generate_mi -t=50 -min_n=2 -max_n=10000000 -test_index=12'" />
				<test points = "0" comment = "generated cmd: 'collatz-with-random-increase_generate_mi -t=50 -min_n=2 -max_n=10000000 -test_index=13'" />
				<test points = "0" comment = "generated cmd: 'collatz-with-random-increase_generate_mi -t=50 -min_n=2 -max_n=10000000 -test_index=14'" />
				<test points = "0" comment = "generated cmd: 'collatz-with-random-increase_generate_mi -t=50 -min_n=2 -max_n=10000000 -test_index=15'" />
				<test points = "0" comment = "generated cmd: 'collatz-with-random-increase_generate_mi -t=50 -min_n=2 -max_n=10000000 -test_index=16'" />
				<test points = "0" comment = "generated cmd: 'collatz-with-random-increase_generate_mi -t=50 -min_n=2 -max_n=10000000 -test_index=17'" />
				<test points = "0" comment = "generated cmd: 'collatz-with-random-increase_generate_mi -t=50 -min_n=2 -max_n=10000000 -test_index=18'" />
				<test points = "0" comment = "generated cmd: 'collatz-with-random-increase_generate_mi -t=50 -min_n=2 -max_n=10000000 -test_index=19'" />
				<test points = "0" comment = "generated cmd: 'collatz-with-random-increase_generate_mi -t=50 -min_n=2 -max_n=10000000 -test_index=20'" />
			</testset>
			<verifier type = "%testlib">
				<binary executable-id = "x86.exe.win32" file = "check.exe" />
			</verifier>
			<interactor type = "%testlib">
				<binary executable-id = "x86.exe.win32" file = "files/collatz-with-random-increase_interact_mi.exe" />
			</interactor>
		</script>
	</judging>
</problem>
